--- old/usr/src/cmd/ldapcachemgr/cachemgr_discovery.c	Mon Oct 15 13:24:05 2018
+++ new/usr/src/cmd/ldapcachemgr/cachemgr_discovery.c	Mon Oct 15 13:24:05 2018
@@ -21,6 +21,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2018 Joyent, Inc.
  */
 
 #ifdef SLP
@@ -539,9 +541,12 @@
  * parameter 'r' should be a pointer to an unsigned int containing
  * the requested interval at which the network should be queried.
  */
-void discover(void *r) {
+void
+discover(void *r) {
 	unsigned short reqrefresh = *((unsigned int *)r);
 
+	(void) pthread_setname_np(pthread_self(), "discover");
+
 	for (;;) {
 	    find_all_contexts("ldap",
 				__cache_get_cfghandle,
